/* BatteryFakerWindowController */

// Attempt to silence a bunch of bogus warnings generated by ImageCapture headers
#define __IMAGECAPTURE__


#import <Cocoa/Cocoa.h>
#import "FakeBatteryObject.h"
#import "FakeUPSObject.h"
#import "BatterySnapshotController.h"

@class FakeBatteryObject;
@class FakeUPSObject;

@interface BatteryFakerWindowController : NSWindowController
{
    IBOutlet id BattFakerKEXTStatus;
    IBOutlet id UPSPlugInStatus;
    IBOutlet id snapshotMenuID;
    IBOutlet id activeSnapshotTextID;
    IBOutlet id FCCOverDCTextID;
    IBOutlet id HealthTextID;
    IBOutlet id ConditionTextID;
    
    IBOutlet id BattStatusImage;
    IBOutlet id ACPresentCheck;
    IBOutlet id AmpsCell;
    IBOutlet id BattChargingCheck;
    IBOutlet id BattPercentageSlider;
    IBOutlet id BattPresentCheck;
    IBOutlet id CycleCountCell;
    IBOutlet id DesignCapCell;
    IBOutlet id MaxCapCell;
    IBOutlet id MaxErrCell;
    IBOutlet id VoltsCell;

    BatterySnapshotController   *snapshotController;
    FakeBatteryObject        *batt;
    FakeUPSObject            *ups;
    
    NSImage     *batteryImage[10];
    NSImage     *chargingImage[10];
}

- (NSImage *)batteryImage:(int)i isCharging:(bool)c;

- (IBAction)UIchange:(id)sender;

- (IBAction)kickBatteryMonitorMenu:(id)sender;

- (IBAction)enableMenuExtra:(id)sender;

- (IBAction)disableMenuExtra:(id)sender;

- (IBAction)openEnergySaverMenu:(id)sender;

- (IBAction)snapshotSelectedMenuAction:(id)sender;

- (NSDictionary *)batterySettingsFromWindow;

- (void)updateBatteryUI:(NSDictionary *)newUI;

- (int)runSUIDTool:(char *)loadArg;

- (void)updateKEXTLoadStatus;

- (void)updateUPSPlugInStatus;

- (void)populateSnapshotMenuBar;

- (void)windowWillClose:(NSNotification *)notification;

- (void)setHealthString:(NSString *)healthString;

- (void)setHealthConditionString:(NSString *)healthConditionString;

@end
